GET
/
v2
/
outbound
/
schedules
/
{schedule_id}
Get scheduled outbound WhatsApp send detail
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/outbound/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "actor_user_id": "<string>",
  "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session_name": "<string>",
  "session_label": "<string>",
  "group_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "text_sha256": "<string>",
  "text_length": 123,
  "media_count": 123,
  "first_run_at_ms": 123,
  "max_occurrences": 123,
  "run_count": 123,
  "failed_run_count": 123,
  "updated_at_ms": 123,
  "next_run_at_ms": 123,
  "interval_ms": 123,
  "last_run_at_ms": 123,
  "completed_at_ms": 123,
  "canceled_at_ms": 123,
  "runs": [
    {
      "occurrence_number": 123,
      "updated_at_ms": 123,
      "send_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "error_code": "<string>",
      "error_message": "<string>",
      "started_at_ms": 123,
      "failed_at_ms": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

schedule_id
string<uuid>
required

Response

Outbound schedule detail.

id
string<uuid>
required
actor_user_id
string
required
session_id
string<uuid>
required
session_name
string
required
session_label
string
required
group_ids
string<uuid>[]
required
text_sha256
string
required
text_length
integer
required
media_count
integer
required
status
enum<string>
required
Available options:
scheduled,
running,
completed,
completed_with_failures,
canceled
first_run_at_ms
integer<int64>
required
max_occurrences
integer
required
run_count
integer
required
failed_run_count
integer
required
updated_at_ms
integer<int64>
required
next_run_at_ms
integer<int64> | null
interval_ms
integer<int64> | null
last_run_at_ms
integer<int64> | null
completed_at_ms
integer<int64> | null
canceled_at_ms
integer<int64> | null
runs
object[]